#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct DatasourceRidNotFound {
    #[serde(rename = "message")]
    message: conjure_object::ResourceIdentifier,
}
impl DatasourceRidNotFound {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(message: conjure_object::ResourceIdentifier) -> Self {
        Self::builder().message(message).build()
    }
    #[inline]
    pub fn message(&self) -> &conjure_object::ResourceIdentifier {
        &self.message
    }
}
impl conjure_error::ErrorType for DatasourceRidNotFound {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::NotFound
    }
    #[inline]
    fn name() -> &'static str {
        "Connection:DatasourceRidNotFound"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["message"]
    }
}
